package com.sooka.system.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 预约人员信息对象 t_guiji_healthcommission_yyryxx
 *
 * @author lei
 * @date 2021-11-09
 */
public class TGuijiHealthcommissionYyryxx extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    @Excel(name = "序号")
    private String id;

    /** 插入时间 */
    @Excel(name = "插入时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 标志位 */
    @Excel(name = "标志位")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String cardid;

    /** 人员类型 */
    @Excel(name = "人员类型")
    private String persontype;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String unitname;

    /** 姓名 */
    @Excel(name = "姓名")
    private String username;

    /** 性别 */
    @Excel(name = "性别")
    private String sex;

    /** 年龄 */
    @Excel(name = "年龄")
    private String age;

    /** 民族 */
    @Excel(name = "民族")
    private String nature;

    /** 学历 */
    @Excel(name = "学历")
    private String education;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String cellphone;

    /** 工种 */
    @Excel(name = "工种")
    private String worktype;

    /** 工龄 */
    @Excel(name = "工龄")
    private String workage;

    /** 单位性质 */
    @Excel(name = "单位性质")
    private String unitnatrue;

    /** 照片地址 */
    @Excel(name = "照片地址")
    private String photourl;

    /** 营业执照图片地址 */
    @Excel(name = "营业执照图片地址")
    private String licenseurl;

    /** 添加日期 */
    @Excel(name = "添加日期")
    private String adddate;

    /** 预约时间 */
    @Excel(name = "预约时间")
    private String apptime;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setCdTime(String cdTime)
    {
        this.cdTime = cdTime;
    }

    public String getCdTime()
    {
        return cdTime;
    }
    public void setCdBatch(String cdBatch)
    {
        this.cdBatch = cdBatch;
    }

    public String getCdBatch()
    {
        return cdBatch;
    }
    public void setCdOperation(String cdOperation)
    {
        this.cdOperation = cdOperation;
    }

    public String getCdOperation()
    {
        return cdOperation;
    }
    public void setCdSource(String cdSource)
    {
        this.cdSource = cdSource;
    }

    public String getCdSource()
    {
        return cdSource;
    }
    public void setCardid(String cardid)
    {
        this.cardid = cardid;
    }

    public String getCardid()
    {
        return cardid;
    }
    public void setPersontype(String persontype)
    {
        this.persontype = persontype;
    }

    public String getPersontype()
    {
        return persontype;
    }
    public void setUnitname(String unitname)
    {
        this.unitname = unitname;
    }

    public String getUnitname()
    {
        return unitname;
    }
    public void setUsername(String username)
    {
        this.username = username;
    }

    public String getUsername()
    {
        return username;
    }
    public void setSex(String sex)
    {
        this.sex = sex;
    }

    public String getSex()
    {
        return sex;
    }
    public void setAge(String age)
    {
        this.age = age;
    }

    public String getAge()
    {
        return age;
    }
    public void setNature(String nature)
    {
        this.nature = nature;
    }

    public String getNature()
    {
        return nature;
    }
    public void setEducation(String education)
    {
        this.education = education;
    }

    public String getEducation()
    {
        return education;
    }
    public void setCellphone(String cellphone)
    {
        this.cellphone = cellphone;
    }

    public String getCellphone()
    {
        return cellphone;
    }
    public void setWorktype(String worktype)
    {
        this.worktype = worktype;
    }

    public String getWorktype()
    {
        return worktype;
    }
    public void setWorkage(String workage)
    {
        this.workage = workage;
    }

    public String getWorkage()
    {
        return workage;
    }
    public void setUnitnatrue(String unitnatrue)
    {
        this.unitnatrue = unitnatrue;
    }

    public String getUnitnatrue()
    {
        return unitnatrue;
    }
    public void setPhotourl(String photourl)
    {
        this.photourl = photourl;
    }

    public String getPhotourl()
    {
        return photourl;
    }
    public void setLicenseurl(String licenseurl)
    {
        this.licenseurl = licenseurl;
    }

    public String getLicenseurl()
    {
        return licenseurl;
    }
    public void setAdddate(String adddate)
    {
        this.adddate = adddate;
    }

    public String getAdddate()
    {
        return adddate;
    }
    public void setApptime(String apptime)
    {
        this.apptime = apptime;
    }

    public String getApptime()
    {
        return apptime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createTime", getCreateTime())
            .append("cdTime", getCdTime())
            .append("cdBatch", getCdBatch())
            .append("cdOperation", getCdOperation())
            .append("cdSource", getCdSource())
            .append("cardid", getCardid())
            .append("persontype", getPersontype())
            .append("unitname", getUnitname())
            .append("username", getUsername())
            .append("sex", getSex())
            .append("age", getAge())
            .append("nature", getNature())
            .append("education", getEducation())
            .append("cellphone", getCellphone())
            .append("worktype", getWorktype())
            .append("workage", getWorkage())
            .append("unitnatrue", getUnitnatrue())
            .append("photourl", getPhotourl())
            .append("licenseurl", getLicenseurl())
            .append("adddate", getAdddate())
            .append("apptime", getApptime())
            .toString();
    }
}
